# -*- rpm-spec -*-
%{?_with_default: %define confset default}
%{?_with_devel: %define confset devel}
%{?_with_gcc: %define confset gcc}
%{?_with_intel: %define confset intel}
%{?_with_pgi: %define confset pgi}
%{?_with_psc: %define confset psc}
%{?_with_cellgcc: %define confset cellgcc}
%{?_with_cellxlc: %define confset cellxlc}
%{?_with_ch3: %define confset ch3}

Summary:   ParaStation MPI2
Vendor:    ParTec Cluster Competence Center GmbH, Munich, Germany
Name:      psmpi2%{?confset:-%{confset}}
Version:   5.0.4
Release:   4.5
License:   see package doc/COPYRIGHT
Group:     Development/Libraries/Parallel
Packager:  support@par-tec.de
Source0:   psmpi2-5.0.4-0.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:	gcc-c++ python python-devel pscom

%define prefix /opt/parastation/mpi2%{?confset:-%{confset}}
 
%description
ParaStation MPI2. Based on MPICH2.
MPICH2 is a freely available, portable implementation of MPI2, the Standard for message-passing libraries. 
http://www-unix.mcs.anl.gov/mpi/mpich/

%prep

cat <<DOK
=========================================================
Build options:
"rpmbuild --with devel"    build devel version (debug,-g ...)
"rpmbuild --with gcc"      use gcc
"rpmbuild --with intel"    use intel compiler
"rpmbuild --with pgi"      use portland group compiler
"rpmbuild --with psc"      use PathScale compiler
"rpmbuild --with cellgcc"  use gcc compiler on Cell
"rpmbuild --with cellxlc"  use XLC compiler on Cell
"rpmbuild --with ch3"      MPIch2 ch3 device (no parastation)

Now using --with %{?confset:%{confset}}%{!?confset:default}
=========================================================
DOK
sleep 1

%setup -q -n psmpi2-5.0.4-0
%post
%preun

%build

./configure --prefix=${RPM_BUILD_ROOT}%{prefix} --with-confset=%{?confset:%{confset}}%{!?confset:default}
make

%install

make fixpath=%prefix install

echo> filelist_nodoc
(cd ${RPM_BUILD_ROOT}%{prefix}; ls -d * ) | grep -vE "man|www|doc" | while read f; do
	echo "%attr(-,root,root) %{prefix}/$f" >> filelist_nodoc
done

%clean
%{__rm} -rf %{buildroot}

%files -f filelist_nodoc
%attr(-,root,root) %doc %{prefix}/VERSION.psmpi2


%package doc

Summary:   ParaStation MPI2 Documentation
Group: Development/Tools

%description doc


%files doc
%attr(-,root,root) %doc %{prefix}/man
%attr(-,root,root) %doc %{prefix}/doc
%attr(-,root,root) %doc %{prefix}/www
